CVE-2021-3802

NameCVE-2021-3802
DescriptionA vulnerability found in udisks2. This flaw allows an attacker to input a specially crafted image file/USB leading to kernel panic. The highest threat from this vulnerability is to system availability.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2809-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
udisks2 (PTS)buster2.8.1-4vulnerable
bullseye2.9.2-2+deb11u1fixed
bookworm, sid2.9.4-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
udisks2sourcestretch2.1.8-1+deb9u1DLA-2809-1
udisks2sourcebullseye2.9.2-2+deb11u1
udisks2source(unstable)2.9.4-1

Notes

[buster] - udisks2 <no-dsa> (Minor issue)
https://bugzilla.redhat.com/show_bug.cgi?id=2003649
https://www.syss.de/fileadmin/dokumente/Publikationen/Advisories/SYSS-2021-045.txt
https://github.com/storaged-project/udisks/commit/38d90a433bda0fc0f2a409f6baa12c3958893571 (udisks-2.9.4)

Search for package or bug name: Reporting problems